unity not support C# 6.0?

Yes, only C# 4.0 supported.